"use strict";

    this.name    = "Docked_HUDs";
    this.version = "1.3";

    this.$flightHUD = "hud.plist";

    this.guiScreenChanged = function () {
        if (player.ship.docked) {
            this._selectDockedHUD();
        }
    }

    this.playerBoughtEquipment = function (equipment) {
        this._selectDockedHUD();
    }

    this._selectDockedHUD = function () {
        var self = player.ship;
        if (guiScreen === "GUI_SCREEN_MARKET" &&
            self.equipmentStatus("EQ_AI_TRADING_ASSISTANT") === "EQUIPMENT_OK") {
            return;
        } else if (self.fuel < 7) {
            self.hud = "docked-need-fuel-hud.plist";
            return;
        } else if (self.missileCapacity > self.missiles.length) {
            self.hud = "docked-need-missiles-hud.plist";
            return;
        } else {
            self.hud = "docked-need-nothing-hud.plist";
        }
    }

    this.shipWillLaunchFromStation = function () {
        if (this.$flightHUD) {
            player.ship.hud = this.$flightHUD;
        } else {
            delete this.shipWillLaunchFromStation;
        }
    }
/*
    this.shipLaunchedFromStation = function () {
        if (this.$flightHUD) {
            player.ship.hud = this.$flightHUD;
        } else {
            delete this.shipLaunchedFromStation;
        }
    }
*/
/* ========================================================
			THE END
=========================================================== */
